## tpm2-tools 5.6

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.8
# by the following command:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
jinja2==3.0.3
    # via -r requirements.in
markdown==3.1.1
    # via -r requirements.in
markupsafe==2.1.2
    # via jinja2

# The following packages are considered to be unsafe in a requirements file:
# setuptools

## tpm2-tools 1.0.0+20160226.64b3334

=== debian/changelog ===
tpm2-tools (1.0.0+20160226.64b3334-0ubuntu2) xenial; urgency=medium

  * debian/control: tpm2-tools Depends on libtss2-utils, so that the resource
    manager from tpm2-tss (in libtss2-utils) is installed and available to
    broker our transactions to the TPM chip. (LP: #1569057)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 11 Apr 2016 21:30:00 -0400

tpm2-tools (1.0.0+20160226.64b3334-0ubuntu1) xenial; urgency=medium

  * Initial release. (LP: #1561834)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 Mar 2016 00:01:37 -0400

=== debian/control ===
Source: tpm2-tools
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 autoconf,
 autoconf-archive,
 debhelper (>= 9),
 dh-autoreconf,
 libcurl-ssl-dev,
 libssl-dev,
 libtool,
 libtss2-dev,
Homepage: https://github.com/01org/tpm2.0-tools
Standards-Version: 3.9.7

Package: tpm2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libtss2-utils
Description: TPM 2.0 utilities
 This package contains a set of tools to use with TPM 2.0 chips,
 for common tasks and features provided by the hardware; such as
 for doing basic key management, attestation, encryption and signing.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

override_dh_autoreconf_clean:
	rm -f compile depcomp ltmain.sh config.sub missing config.guess \
		install-sh m4/ltoptions.m4 m4/ltversion.m4 m4/libtool.m4 \
		m4/ltsugar.m4 m4/lt\~obsolete.m4 config.log
	dh_autoreconf_clean

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tpm2-tools-$1\.tar\.gz/ \
  https://github.com/01org/tpm2.0-tools/tags .*/v?(\d\S*)\.tar\.gz

## tpm2-tools 1.1

=== debian/changelog ===
tpm2-tools (1.1-1) unstable; urgency=low

  [ Ivan Hu ]
  * New upstream release version 1.1

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Initial upload to Debian. (Closes: #815849)
  * Add missing manpages

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 04 Feb 2017 13:22:38 +0800

tpm2-tools (1.0.0+20160226.64b3334-1) unstable; urgency=medium

  * Initial upload to Debian.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 20 Jun 2016 11:32:05 -0400

=== debian/control ===
Source: tpm2-tools
Section: utils
Priority: optional
Maintainer: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
	   Ivan Hu <ivan.hu@ubuntu.com>
Build-Depends:
 autoconf,
 autoconf-archive,
 debhelper (>= 9),
 dh-autoreconf,
 libcurl4-gnutls-dev | libcurl-ssl-dev,
 libssl-dev,
 libtool,
 libsapi-dev,
 pkg-config,
 xsltproc,
 docbook-xsl
Homepage: https://github.com/01org/tpm2.0-tools
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/collab-maint/tpm2-tools.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tpm2-tools.git

Package: tpm2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libsapi-utils
Description: TPM 2.0 utilities
 This package contains a set of tools to use with TPM 2.0 chips,
 for common tasks and features provided by the hardware; such as
 for doing basic key management, attestation, encryption and signing.

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,70 @@
 		m4/ltsugar.m4 m4/lt\~obsolete.m4 config.log
 	dh_autoreconf_clean
 
+override_dh_auto_build: tpm2_activatecredential.8 tpm2_akparse.8 \
+			tpm2_certify.8 tpm2_create.8 tpm2_createprimary.8 \
+			tpm2_encryptdecrypt.8 tpm2_evictcontrol.8 \
+			tpm2_getmanufec.8 tpm2_getpubak.8 tpm2_getpubek.8 \
+			tpm2_getrandom.8 tpm2_hash.8 tpm2_hmac.8 \
+			tpm2_listpcrs.8 tpm2_listpersistent.8 tpm2_load.8 \
+			tpm2_quote.8 tpm2_takeownership.8
+
+	dh_auto_build
+
+DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
+XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"
+
+tpm2_activatecredential.8: debian/manpagesxml/tpm2_activatecredential.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_akparse.8: debian/manpagesxml/tpm2_akparse.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_certify.8: debian/manpagesxml/tpm2_certify.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_create.8: debian/manpagesxml/tpm2_create.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_createprimary.8: debian/manpagesxml/tpm2_createprimary.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_encryptdecrypt.8: debian/manpagesxml/tpm2_encryptdecrypt.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_evictcontrol.8: debian/manpagesxml/tpm2_evictcontrol.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_getmanufec.8: debian/manpagesxml/tpm2_getmanufec.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_getpubak.8: debian/manpagesxml/tpm2_getpubak.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_getpubek.8: debian/manpagesxml/tpm2_getpubek.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_getrandom.8: debian/manpagesxml/tpm2_getrandom.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_hash.8: debian/manpagesxml/tpm2_hash.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_hmac.8: debian/manpagesxml/tpm2_hmac.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_listpcrs.8: debian/manpagesxml/tpm2_listpcrs.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_listpersistent.8: debian/manpagesxml/tpm2_listpersistent.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_load.8: debian/manpagesxml/tpm2_load.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_quote.8: debian/manpagesxml/tpm2_quote.xml
+	$(XP) $(DB2MAN) $<
+
+tpm2_takeownership.8: debian/manpagesxml/tpm2_takeownership.xml
+	$(XP) $(DB2MAN) $<
+

## tpm2-tools 2.1.0

=== debian/changelog ===
tpm2-tools (2.1.0-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:53 +0000

tpm2-tools (2.1.0-1) unstable; urgency=low

  [ Mathieu Trudel-Lapierre <cyphermox@ubuntu.com> ]
  * New upstream release 2.1.0:
    - Rewrite/reoganization of most of the codebase.
    - Fixed CVE-2017-7524. (Closes: #866257)
  * debian/copyright: use the HTTPS form for the Format field.
  * debian/control: bump to Standards-Version 4.0.0
  * debian/copyright: further update copyright file for changes in release,
    and mix and match of BSD-2-clause and BSD-3-clause.
  * debian/rules: add extra files to clean up for autoreconf.
  * debian/patches/openssl_1.0.1.patch: Make sure this builds against OpenSSL
    1.1.0.

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * Cherrypick gcc7-Change-two-case-fallthrough-conditions-that-ups.patch:
    - Fix FTBFS for gcc 7
  * Use upstream's manpage.
  * debian/control: fix Vcs-Git field

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 15 Sep 2017 00:00:32 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tpm2-tools
 Section: utils
 Priority: optional
-Maintainer: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
 Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
 	   Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends:
@@ -17,8 +18,8 @@
  xsltproc,
  docbook-xsl
 Homepage: https://github.com/01org/tpm2.0-tools
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/collab-maint/tpm2-tools.git
+Standards-Version: 4.0.1
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tpm2-tools.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/tpm2-tools.git
 
 Package: tpm2-tools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

override_dh_autoreconf_clean:
	rm -f compile depcomp ltmain.sh config.sub missing config.guess \
		install-sh m4/ltoptions.m4 m4/ltversion.m4 m4/libtool.m4 \
		m4/ltsugar.m4 m4/lt\~obsolete.m4 config.log aclocal.m4 \
		Makefile.in configure
	dh_autoreconf_clean

## tpm2-tools 3.1.3

=== debian/changelog ===
tpm2-tools (3.1.3-2) unstable; urgency=low

  * Add debian/patches/0001_add_version_string.patch: (Closes: #913503)
    - Add version string to configure.ac by query debian/changelog
    - Add autopkgtest to test this bug: debian/tests/test-version
  * Bump debhelper version to 11.
  * Bump Standards-Version to 4.2.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Dec 2018 12:16:37 +0800

tpm2-tools (3.1.3-1) unstable; urgency=low

  * New upstream release (Closes: #904384)
  * debian/control: Remove broken Vcs-Git and Vcs-Browser
  * Remove the following patches - already upstreamed 
    - gcc7-Change-two-case-fallthrough-conditions-that-ups.patch
    - openssl_1.0.1.patch
  * Bump debhelper version to 10. Remove Build-Depends on dh-autoreconf.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 17 Oct 2018 00:47:59 +0800

=== debian/control ===
Source: tpm2-tools
Section: utils
Priority: optional
Maintainer: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
           Ivan Hu <ivan.hu@ubuntu.com>
Build-Depends: autoconf,
               autoconf-archive,
               debhelper (>= 11),
               docbook-xsl,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libssl-dev,
               libtool,
               libtss2-dev,
               pandoc,
               pkg-config,
               python-yaml,
               xsltproc
Homepage: https://github.com/01org/tpm2.0-tools
Standards-Version: 4.2.1

Package: tpm2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: TPM 2.0 utilities
 This package contains a set of tools to use with TPM 2.0 chips,
 for common tasks and features provided by the hardware; such as
 for doing basic key management, attestation, encryption and signing.

=== debian/tests/control ===
Tests: test-version
Depends: @, grep
Restrictions: allow-stderr

## tpm2-tools 4.0.1

=== debian/changelog ===
tpm2-tools (4.0.1-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 13 Nov 2019 03:42:01 +0800

## tpm2-tools 4.1

=== debian/changelog ===
tpm2-tools (4.1-1) unstable; urgency=low

  * New upstream release
    - debian/rules: call bootstrap to generate src_vars.mk
    - due to above reason we need to add more files in debian/clean
  * Update debian/patches/0001_add_version_string.patch
    - to remove binNMU maintainer version.
  * Update debian/tests/test-version to really test the version
  * Update debian/watch to avoid looking for release-candidate version
  * Add 0002_add_tpm2-shutdown_manpage.patch: Add manpage fom tpm2_shutdown

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 07 Dec 2019 20:57:03 +0800

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libssl-dev,
                libtool,
-               libtss2-dev,
+               libtss2-dev (>= 2.3.0),
                pandoc,
                pkg-config,
                python-yaml,

## tpm2-tools 4.1.1

=== debian/changelog ===
tpm2-tools (4.1.1-1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * New upstream release
    - Change Build-Depends on python-yaml -> python3-yaml (Closes: #943289)
  * Remove 0002_add_tpm2-shutdown_manpage.patch: already upstreamed.
  * Use salsa for collab-maint.
  * Bump Standards-Version to 4.4.1: nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 02 Feb 2020 01:35:00 +0800

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,12 @@
                libtss2-dev (>= 2.3.0),
                pandoc,
                pkg-config,
-               python-yaml,
+               python3-yaml,
                xsltproc
 Homepage: https://github.com/01org/tpm2.0-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/debian/tpm2-tools
+Vcs-Git: https://salsa.debian.org/debian/tpm2-tools.git
 
 Package: tpm2-tools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	$(CURDIR)/bootstrap
	dh_autoreconf

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tpm2-tools-$1\.tar\.gz/ \
  https://github.com/01org/tpm2.0-tools/tags .*/v?(\d[\d.]*)\.tar\.gz

## tpm2-tools 4.2

=== debian/changelog ===
tpm2-tools (4.2-2) unstable; urgency=low

  * Build-Depends add uuid-dev. Fix FTBFS.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 17 Apr 2020 10:56:24 +0800

tpm2-tools (4.2-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 16 Apr 2020 21:43:29 +0800

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                pandoc,
                pkg-config,
                python3-yaml,
+               uuid-dev,
                xsltproc
 Homepage: https://github.com/01org/tpm2.0-tools
 Standards-Version: 4.4.1

## tpm2-tools 4.2.1

=== debian/changelog ===
tpm2-tools (4.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 26 May 2020 21:34:42 +0800

tpm2-tools (4.2-3) unstable; urgency=low

  * Change myself as maintainer. (Closes: #956933)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 17 May 2020 11:37:22 +0800

## tpm2-tools 4.3.0

=== debian/changelog ===
tpm2-tools (4.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 09 Sep 2020 17:22:40 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tpm2-tools
 Section: utils
 Priority: optional
-Maintainer: Mathieu Trudel-Lapierre <mathieu.trudel-lapierre@canonical.com>
-Uploaders: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>,
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Uploaders: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>,
            Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends: autoconf,
                autoconf-archive,

## tpm2-tools 5.0

=== debian/changelog ===
tpm2-tools (5.0-2) unstable; urgency=low

  * Add debian/patches/0001-tpm2_import-fix-fixed-AES-key-CVE-2021-3565.patch
    - Fix CVE-2021-3565 (Closes: #989148)
    - This patch fixes the fixed AES key issue in tpm2_import command

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 02 Jun 2021 04:00:26 +0800

tpm2-tools (5.0-1) unstable; urgency=low

  * New upstream release.
  * Update Homepage to new location (Closes: #971801)
  * Add debian/NEWS (Closes: #964024)
  * Remove Build-Depends python3-yaml (Closes: #972647)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 30 Nov 2020 15:56:37 +0800

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,9 @@
                libtss2-dev (>= 2.3.0),
                pandoc,
                pkg-config,
-               python3-yaml,
                uuid-dev,
                xsltproc
-Homepage: https://github.com/01org/tpm2.0-tools
+Homepage: https://github.com/tpm2-software/tpm2-tools
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/tpm2-tools
 Vcs-Git: https://salsa.debian.org/debian/tpm2-tools.git

=== debian/tests/control ===
Tests: test-version
Depends: grep, @
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tpm2-tools-$1\.tar\.gz/ \
  https://github.com/01org/tpm2.0-tools/tags .*/v?(\d[\d.]*)\.tar\.gz

## tpm2-tools 5.2

=== debian/changelog ===
tpm2-tools (5.2-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:20:52 +0000

tpm2-tools (5.2-1) unstable; urgency=low

  [ Edward Betts ]
  * Upstream GitHub repo has moved, update URL.

  [ Ying-Chun Liu (PaulLiu) ]
  * New upstream version 5.2
    - rm ebian/patches/0001-tpm2_import-fix-fixed-AES-key-CVE-2021-3565.patch
      Already upstreamed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 14 Nov 2021 17:11:34 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tpm2-tools
 Section: utils
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>,
            Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends: autoconf,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tpm2-tools-$1\.tar\.gz/ \
  https://github.com/tpm2-software/tpm2-tools/tags .*/v?(\d[\d.]*)\.tar\.gz

## tpm2-tools 5.3

=== debian/changelog ===
tpm2-tools (5.3-1) unstable; urgency=low

  * New upstream version 5.3
  * Update debian/patches/0001_add_version_string.patch
  * Update debian/clean
  * Update debian/copyright
  * Add missing manpage for tss2 command

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 01 Oct 2022 22:54:01 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: tpm2-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>,
            Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends: autoconf,
                autoconf-archive,
                debhelper (>= 11),
+               docbook-xml,
                docbook-xsl,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libssl-dev,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf: tss2.1
	$(CURDIR)/bootstrap
	dh_autoreconf

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc -''-nonet -''-param man.charmap.use.subset "0"

tss2.1: debian/manpagesxml/tss2.1.xml
	$(XP) $(DB2MAN) $<

## tpm2-tools 5.4

=== debian/changelog ===
tpm2-tools (5.4-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove unused license definitions for BSD-2-clause.
  * Update standards version to 4.6.1, no changes needed.

  [ Ying-Chun Liu (PaulLiu) ]
  * New upstream version 5.4

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 Dec 2022 07:31:21 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends: autoconf,
                autoconf-archive,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                docbook-xml,
                docbook-xsl,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
@@ -18,7 +18,7 @@
                uuid-dev,
                xsltproc
 Homepage: https://github.com/tpm2-software/tpm2-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/tpm2-tools
 Vcs-Git: https://salsa.debian.org/debian/tpm2-tools.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf: tss2.1
 	$(CURDIR)/bootstrap

## tpm2-tools 5.6

=== debian/changelog ===
tpm2-tools (5.6-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:28:01 +1100

tpm2-tools (5.6-1build3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:28:36 +0000

tpm2-tools (5.6-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:06:52 +0000

tpm2-tools (5.6-1build1) noble; urgency=medium

  * Rebuild against new libtss2-mu-4.0.1-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jan 2024 13:15:30 +0100

tpm2-tools (5.6-1) unstable; urgency=low

  * New upstream version 5.6

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 17 Jan 2024 18:06:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tpm2-tools
 Section: utils
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>,
            Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends: autoconf,

## tpm2-tools 5.7

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 #    pip-compile --output-file=requirements.txt requirements.in
 #
-jinja2==3.0.3
+jinja2==3.1.3
     # via -r requirements.in
 markdown==3.1.1
     # via -r requirements.in

=== debian/changelog ===
tpm2-tools (5.7-1) unstable; urgency=low

  * New upstream version 5.7
    - Fixed CVE-2024-29038 CVE-2024-29039 (Closes: #1070139)
  * debian/control: modify pkg-config to pkgconf
  * debian/clean: remove test/integration/fixtures/event-*.bin.yaml

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 07 May 2024 22:03:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tpm2-tools
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>,
            Ivan Hu <ivan.hu@ubuntu.com>
 Build-Depends: autoconf,
@@ -15,7 +14,7 @@
                libtool,
                libtss2-dev (>= 2.3.0),
                pandoc,
-               pkg-config,
+               pkgconf,
                uuid-dev,
                xsltproc
 Homepage: https://github.com/tpm2-software/tpm2-tools
